Subject: Slugs

From: [email-masked] (Helen Anderson)
Date: 1 Mar 1995 00:15:37 -0800

Seattle is slug country.  Lots of slug bait is sold around here. I like to
put it where animals can't get and in low concentrations.  Seems to work.